-----------------------------------------------------------------------------

Aloft:RegisterDB("AloftDB")

-----------------------------------------------------------------------------

Aloft:RegisterDefaults('profile', 
	{
		nameplateText =
		{
			visible			= true,
			fontSize		= 10,
			alignment		= "LEFT",
			outline			= "Normal",
			offsetX			= 0,
			offsetY			= 0,
			overrideColors	= true,
			colors =
			{
				friendlyPlayer	= { 1, 1, 1, 1 },
				friendlyNPC		= { 1, 1, 1, 1 },
				friendlyBoss	= { 1, 1, 1, 1 },
				hostile			= { 1, 1, 1, 1 },
				hostileBoss		= { 1, 1, 1, 1 },
				neutral			= { 1, 1, 1, 1 },
				partyPet		= { 1, 1, 1, 1 },
			},
		},
		healthBar =
		{
			texture			= "Blizzard",
			alpha			= 0.75,
			colorByClass	= true,
			groupOnly		= false,
			colors =
			{
				friendlyPlayer	= { 0, 0, 1 },
				friendlyNPC		= { 0, 1, 0 },
				friendlyBoss	= { 0, 1, 0 },
				hostile			= { 1, 0, 0 },
				hostileBoss		= { 1, 0, 0 },
				neutral			= { 1, 1, 0 },
				partyPet		= { 1, 0.5, 1 },
			},
		},
		healthText = 
		{
			visible			= true,
			alpha			= 1,
			point			= "RIGHT",
			relativeToPoint	= "RIGHT",
			offsetX			= 0,
			offsetY			= 0,
			fontSize		= 9,
			outline			= "Normal",
			mode			= "Hidden",
			color			= { 1, 1, 1 }
		},
		overlay =
		{
			visible			= true,
			color			= { 1, 1, 1, 0.25 },
			texture			= "Blizzard"
		},
		highlight =
		{
			color			= { 1, 1, 0, 0.25 },
			texture			= "Blizzard",
			blendMode		= "ADD",
		},
		raidIcon = 
		{
			visible			= true,
			alpha			= 1,
			point			= "RIGHT",
			relativeToPoint	= "LEFT",
			offsetX			= 0,
			offsetY			= 0,
			size			= 12
		},
		bossIcon = 
		{
			visible			= true,
			alpha			= 1.0,
			point			= "CENTER",
			relativeToPoint	= "CENTER",
			offsetX			= 0,
			offsetY			= 0,
			size			= 12
		},
		levelText =
		{
			visible			= true,
			fontSize		= 8,
			outline			= "Normal",
			point			= "LEFT",
			relativeToPoint	= "RIGHT",
			offsetX			= 0,
			offsetY			= 0,
		},
	}
)

-----------------------------------------------------------------------------
